import path from 'path';
import fs from 'fs';

const appPath = fs.realpathSync(process.cwd());

const resolve = (realctivePath: string) => path.resolve(appPath, realctivePath);

const appConfigPath = resolve('config/index.js');
const webpackOverridePath = resolve('webpack_override.js');
const middlewarePath = resolve('middleware');
const templateDirPath = resolve('template');

export {
  appPath,
  appConfigPath,
  webpackOverridePath,
  middlewarePath,
  templateDirPath,
  resolve,
};
